← Back to API Reference

/products

Tag: products

getGlobal product library for ASB Sports uniforms

Parameters

NameInTypeFormatRequiredDescription
idquerystring
display_namequerystringDisplay name of the product
descriptionquerystringProduct description (supports HTML)
url_slugquerystringURL-friendly identifier
skuquerystringStock Keeping Unit identifier
product_typequerystringType: customized or standard
categoryquerystringProduct category (jerseys, shorts, etc.)
pricequerystringTiered pricing structure as JSON
sportsquerystringArray of sports tags
tagsquerystringArray of general tags
glbquerystringURL to 3D model file
previewquerystringURL to preview image
aomapquerystringURL to ambient occlusion map
enabledquerystringWhether the product is active
is_privatequerystringWhether the product is private/restricted
shareablequerystringWhether designs using this product can be shared
sort_orderquerystringDisplay order for sorting
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
genderquerystringTarget gender: mens, womens, boys, girls, unisex
decorationquerystringDecoration method: sublimation, screen-print, embroidery, heat-transfer
product_linequerystringProduct line tier: flash, premier, premier-pro, select
fabricquerystringFabric type: lte-fit, stretch-woven-lt, vapor-mesh, xd200
necklinequerystringNeckline style: crew-neck, v-neck, henley, polo
sleeves_cutquerystringSleeves cut style: raglan, set-in
sleeves_lengthquerystringSleeves length: short-sleeve, long-sleeve, sleeveless
factoryquerystringFactory identifier for manufacturing
ship_by_daysquerystringEstimated days until shipping
price_minquerystringMinimum price (denormalized from price JSON for filtering)
selectquerystringFiltering Columns
orderquerystringOrdering
RangeheaderstringLimiting and Pagination
Range-UnitheaderstringLimiting and Pagination
offsetquerystringLimiting and Pagination
limitquerystringLimiting and Pagination
PreferheaderstringPreference

Example

bash
curl "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/products?select=*&limit=10" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

200OK
206Partial Content

postGlobal product library for ASB Sports uniforms

Parameters

NameInTypeFormatRequiredDescription
productsbodyobjectproducts
selectquerystringFiltering Columns
PreferheaderstringPreference

Example

bash
curl -X POST "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/products" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{
  "display_name": "example",
  "url_slug": "example",
  "sku": "example",
  "price": {},
  "sports": []
}'

Responses

201Created

patchGlobal product library for ASB Sports uniforms

Parameters

NameInTypeFormatRequiredDescription
idquerystring
display_namequerystringDisplay name of the product
descriptionquerystringProduct description (supports HTML)
url_slugquerystringURL-friendly identifier
skuquerystringStock Keeping Unit identifier
product_typequerystringType: customized or standard
categoryquerystringProduct category (jerseys, shorts, etc.)
pricequerystringTiered pricing structure as JSON
sportsquerystringArray of sports tags
tagsquerystringArray of general tags
glbquerystringURL to 3D model file
previewquerystringURL to preview image
aomapquerystringURL to ambient occlusion map
enabledquerystringWhether the product is active
is_privatequerystringWhether the product is private/restricted
shareablequerystringWhether designs using this product can be shared
sort_orderquerystringDisplay order for sorting
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
genderquerystringTarget gender: mens, womens, boys, girls, unisex
decorationquerystringDecoration method: sublimation, screen-print, embroidery, heat-transfer
product_linequerystringProduct line tier: flash, premier, premier-pro, select
fabricquerystringFabric type: lte-fit, stretch-woven-lt, vapor-mesh, xd200
necklinequerystringNeckline style: crew-neck, v-neck, henley, polo
sleeves_cutquerystringSleeves cut style: raglan, set-in
sleeves_lengthquerystringSleeves length: short-sleeve, long-sleeve, sleeveless
factoryquerystringFactory identifier for manufacturing
ship_by_daysquerystringEstimated days until shipping
price_minquerystringMinimum price (denormalized from price JSON for filtering)
productsbodyobjectproducts
PreferheaderstringPreference

Example

bash
curl -X PATCH "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/products?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{"display_name": "example"}'

Responses

204No Content

deleteGlobal product library for ASB Sports uniforms

Parameters

NameInTypeFormatRequiredDescription
idquerystring
display_namequerystringDisplay name of the product
descriptionquerystringProduct description (supports HTML)
url_slugquerystringURL-friendly identifier
skuquerystringStock Keeping Unit identifier
product_typequerystringType: customized or standard
categoryquerystringProduct category (jerseys, shorts, etc.)
pricequerystringTiered pricing structure as JSON
sportsquerystringArray of sports tags
tagsquerystringArray of general tags
glbquerystringURL to 3D model file
previewquerystringURL to preview image
aomapquerystringURL to ambient occlusion map
enabledquerystringWhether the product is active
is_privatequerystringWhether the product is private/restricted
shareablequerystringWhether designs using this product can be shared
sort_orderquerystringDisplay order for sorting
created_byquerystring
created_atquerystring
updated_atquerystring
deleted_atquerystringSoft delete timestamp
genderquerystringTarget gender: mens, womens, boys, girls, unisex
decorationquerystringDecoration method: sublimation, screen-print, embroidery, heat-transfer
product_linequerystringProduct line tier: flash, premier, premier-pro, select
fabricquerystringFabric type: lte-fit, stretch-woven-lt, vapor-mesh, xd200
necklinequerystringNeckline style: crew-neck, v-neck, henley, polo
sleeves_cutquerystringSleeves cut style: raglan, set-in
sleeves_lengthquerystringSleeves length: short-sleeve, long-sleeve, sleeveless
factoryquerystringFactory identifier for manufacturing
ship_by_daysquerystringEstimated days until shipping
price_minquerystringMinimum price (denormalized from price JSON for filtering)
PreferheaderstringPreference

Example

bash
curl -X DELETE "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/products?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

204No Content

Schema

Global product library for ASB Sports uniforms

ColumnTypeFormatNullableDefaultNotes
idPK
stringuuidextensions.uuid_generate_v4()This is a Primary Key.
display_name
stringtextDisplay name of the product
description
stringtextProduct description (supports HTML)
url_slug
stringtextURL-friendly identifier
sku
stringtextStock Keeping Unit identifier
product_type
stringtextstandardType: customized or standard
category
stringtextProduct category (jerseys, shorts, etc.)
price
objectjsonbTiered pricing structure as JSON
sports
arraytext[]Array of sports tags
tags
arraytext[]Array of general tags
glb
stringtextURL to 3D model file
preview
stringtextURL to preview image
aomap
stringtextURL to ambient occlusion map
enabled
booleanbooleanWhether the product is active
is_private
booleanbooleanWhether the product is private/restricted
shareable
booleanbooleanWhether designs using this product can be shared
sort_order
integerinteger0Display order for sorting
created_by
stringuuid
created_at
stringtimestamp with time zonenow()
updated_at
stringtimestamp with time zonenow()
deleted_at
stringtimestamp with time zoneSoft delete timestamp
gender
stringtextTarget gender: mens, womens, boys, girls, unisex
decoration
stringtextDecoration method: sublimation, screen-print, embroidery, heat-transfer
product_line
stringtextProduct line tier: flash, premier, premier-pro, select
fabric
stringtextFabric type: lte-fit, stretch-woven-lt, vapor-mesh, xd200
neckline
stringtextNeckline style: crew-neck, v-neck, henley, polo
sleeves_cut
stringtextSleeves cut style: raglan, set-in
sleeves_length
stringtextSleeves length: short-sleeve, long-sleeve, sleeveless
factory
stringtextFactory identifier for manufacturing
ship_by_days
integerintegerEstimated days until shipping
price_min
numbernumericMinimum price (denormalized from price JSON for filtering)